﻿/*
**	変換される画像の解像度と非可逆圧縮の品質を指定するサンプル
**
Copyright(c)株式会社・トラスト・ソフトウェア・システム,All Rights Reserved.
*/

using System;
using PDFTools.PdfImagerLP;

namespace dpi
{
	class Dpi
	{
		public static void Usage(string[] args)
		{
			Console.WriteLine(
				"Usage: {0} PDF-file-path",
				"Dpi.exe");
		}

		static void Main(string[] args)
		{
			if (args.Length < 1)
			{
				Usage(args);
				Environment.Exit(1);
			}

			//初期化
			PdfImager imgr = new PdfImager();
			if (imgr.Initialize("0-xxxx-7H5GKW7E336R") != 0)	//正しいライセンスキーに書き換えてください。
			{
				Console.WriteLine("初期化に失敗しました。");
				Environment.Exit(2);
			}

			//PDF文書オープン
			if (imgr.OpenDoc(args[0], null, null) != err.MLP_NO_ERROR)
			{
				Console.WriteLine("ファイルを開けません。");
				Environment.Exit(3);
			}

			//解像度の設定
			imgr.SetPicture(PictureOpt.RESOLUTION_DPI, 200);

			//非可逆圧縮の品質指定
			imgr.SetPicture(PictureOpt.JPEG_QUALITY, 50);

			//画像作成
			imgr.CreatePict(1, "out.jpg");

			//文書クローズ
			imgr.CloseDoc();

			//後始末
			imgr.Uninitialize();
		}
	}
}
