﻿/*
**	OCG(Optional Content Groups;レイヤー)サンプル
**
Copyright(c)株式会社・トラスト・ソフトウェア・システム,All Rights Reserved.
*/

using System;
using PDFTools.PdfImagerLP;

namespace Ocg
{
	class Ocg
	{
		public static void Usage(string[] args)
		{
			Console.WriteLine(
				"Usage: {0} PDF-file-path",
				"Ocg.exe");
		}

		static void Main(string[] args)
		{
			if (args.Length < 1)
			{
				Usage(args);
				Environment.Exit(1);
			}

			//初期化
			PdfImager imgr = new PdfImager();
			if (imgr.Initialize("0-1661-E6884H69GH4K") != 0)	//適切なライセンスキーに書き換えてください。
			{
				Console.WriteLine("初期化に失敗しました。");
				Environment.Exit(2);
			}

			//PDF文書オープン
			if (imgr.OpenDoc(args[0], null, null) != err.MLP_NO_ERROR)
			{
				Console.WriteLine("PDFファイル'{0}'を開けませんでした。", args[0]);
				Environment.Exit(3);
			}

			//OCGの総数
			int len = imgr.GetOcgCount();
			Console.WriteLine("OCG総数 = {0}", len);
			OcgData[] ocg = imgr.GetOcgData();

			for (int i = 0; i < len; i++)
			{
				Console.WriteLine("{0}, {1}, {2}, {3}", ocg[i].id, ocg[i].name, ocg[i].level, ocg[i].visible==0?"非表示":"表示");
#if true
				//すべてのOCG(レイヤー)を非表示にする
				ocg[i].visible = 0;
#else
				//すべてのOCG(レイヤー)を表示する
				ocg[i].visible = 1;
#endif
			}
			imgr.SetOcgState(ocg);

			//画像ファイル生成
			imgr.CreatePict(1, "out.jpg");

			//文書クローズ
			imgr.CloseDoc();

			//後始末
			imgr.Uninitialize();
		}
	}
}
