﻿/*
**	画像の論理サイズ指定サンプル
**
Copyright(c)株式会社・トラスト・ソフトウェア・システム,All Rights Reserved.
*/

using System;
using PDFTools.PdfImagerLP;

namespace psz
{
	class Psz
	{
		public static void Usage(string[] args)
		{
			Console.WriteLine(
				"Usage: {0} PDF-file-path",
				"Psz.exe");
		}

		static void Main(string[] args)
		{
			if (args.Length < 1)
			{
				Usage(args);
				Environment.Exit(1);
			}

			//初期化
			PdfImager imgr = new PdfImager();
			if (imgr.Initialize("0-xxx-7H5GKW7E336R") != 0)	//正しいライセンスキーに書き換えてください。
			{
				Console.WriteLine("初期化に失敗しました。");
				Environment.Exit(2);
			}

			//PDF文書オープン
			if (imgr.OpenDoc(args[0], null, null) != err.MLP_NO_ERROR)
			{
				Console.WriteLine("PDFファイル'{0}'を開けませんでした。", args[0]);
				Environment.Exit(3);
			}

			//論理サイズ指定
			imgr.SetPictureSize(0, 1000, PictureUnit.MLP_PICTURE_UNIT_MM);

			//画像ファイル生成
			imgr.CreatePict(1, "out.jpg");

			//文書クローズ
			imgr.CloseDoc();

			//後始末
			imgr.Uninitialize();
		}
	}
}
