﻿/*
**	複数ページ画像への変換サンプル
**
Copyright(c)株式会社・トラスト・ソフトウェア・システム,All Rights Reserved.
*/

using System;
using PDFTools.PdfImagerLP;

namespace tif
{
	class Tif
	{
		public static void Usage(string[] args)
		{
			Console.WriteLine(
				"Usage: {0} PDF-file-path",
				"Tif.exe");
		}

		static void Main(string[] args)
		{
			if (args.Length < 1)
			{
				Usage(args);
				Environment.Exit(1);
			}

			//初期化
			PdfImager imgr = new PdfImager();
            if (imgr.Initialize("0-xxxx-7H5GKW7E336R") != 0)	//正しいライセンスキーに書き換えてください。
			{
				Console.WriteLine("初期化に失敗しました。");
				Environment.Exit(2);
			}

			//PDF文書オープン
			if (imgr.OpenDoc(args[0], null, null) != err.MLP_NO_ERROR)
			{
				Console.WriteLine("PDF文書を開けません。");
				Environment.Exit(3);
			}

			//色空間
#if		false
			imgr.SetPictureRGB();
#elif   false
			imgr.SetPictureCMYK();
#elif	false
			imgr.SetPictureGray();
#elif	false
			imgr.SetPictureDither();
#elif	false
			imgr.SetPictureBW();
#elif	false
			imgr.SetPictureFaxG3();
#elif   true
			imgr.SetPictureFaxG4();
#endif

			//画像ファイル生成
#if false
			imgr.CreatePict(1, "out.tiff");  //先頭のページを変換
#elif  false
			imgr.CreateTiffRange(1, -1, "out.tiff");//すべてのPDFのページを昇順で画像に変換

#elif  true
			imgr.CreateTiffMulti("1,4-5", "out");  //指定のPDFのページを画像に変換
#endif

			//文書クローズ
			imgr.CloseDoc();

			//後始末
			imgr.Uninitialize();
		}
	}
}
